Bric::Util::Coll::Action(3)

NAME
Bric::Util::Coll::Action - Interface for managing collections of distribution actions.

VERSION
$LastChangedRevision$

DATE
$LastChangedDate: 2004-06-04 12:21:12 -0700 (Fri, 04 Jun 2004) $

SYNOPSIS
See Bric::Util::Coll.

DESCRIPTION
See Bric::Util::Coll.

INTERFACE

  Constructors
Inherited from Bric::Util::Coll.

  Destructors

$org->DESTROY
    Dummy method to prevent wasting time trying to AUTOLOAD DESTROY.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

  Public Class Methods

Bric::Util::Coll->class_name()
    Returns the name of the class of objects this collection manages.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

  Public Instance Methods

$self = $coll->save
$self = $coll->save($server_type_id)
    Saves the changes made to all the objects in the collection. Pass in a Bric::Dist::ServerType object ID to make sure all the Bric::Dist::Action objects are associated with that server type.

    Throws:

    *   Bric::_get() - Problems retrieving fields.

    *   Unable to connect to database.

    *   Unable to prepare SQL statement.

    *   Unable to execute SQL statement.

    *   Unable to select row.

    *   Incorrect number of args to _set.

    *   Bric::_set() - Problems setting fields.

    Side Effects: NONE.

    Notes: NONE.

PRIVATE

  Private Class Methods

Bric::Util::Coll->_sort_objs($objs_href)
    Sorts a list of objects into an internally-specified order. This implementation overrides the default, sorting the action objects by their 'ord' property.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

  Private Instance Methods
NONE.

  Private Functions
NONE.

NOTES
NONE.

AUTHOR
David Wheeler <david@wheeler.net>

SEE ALSO
Bric, Bric::Util::Coll, Bric::Dist::Action